(ns clojureDemo.MegaDeath)

(import '(java.io File))
(import '(org.apache.commons.io FileUtils))
(import '(javax.imageio ImageIO) )

(import '(ij.plugin PlugIn))
(import '(ij ImagePlus IJ))

(import '(ij Macro))

(import '(java.io BufferedReader InputStreamReader))
(import '(java.awt.image BufferedImage))



(use '[clojureDemo.Xuggle :only (video-seq trans-save flash video-data display)])


(use 'clojure.contrib.repl-utils)
(use ['clojureDemo.Defines 
      :only '(
	     lian look getto human0 blow base app0 app1 app2 app3 app4 app5 
		  bounce0 bounce1 bounce2 bounce3 bounce4 bounce5 bounce6
		  collide0 collide1 collide2 collide3 collide4  
		  give0 give1 give2 give3 give4 target default)])


(def hamster  (first (video-seq look)))
(def ham (.getImage hamster))

(set! *print-length* 10)



(defn final-ficker
  "wtf?"
  [& vars]
  (class (last vars)))

(defmulti log-polar (fn [& args] (class (last args))))

(defmethod log-polar clojure.lang.LazySeq
  ([X Y video-seq]
     (with-meta (map #(log-polar % X Y) video-seq) (meta video-seq)))
  ([video-seq]
     (with-meta (map #(log-polar %) video-seq) (meta video-seq))))


(defmethod log-polar ij.ImagePlus
     [imageP]
     (let [thread (Thread/currentThread)
	   options ""]
       (.setName thread "Run$_polar-transform")
       (Macro/setOptions thread options)
       (IJ/runPlugIn imageP "clojureDemo.Polar_Transformer" "")
       (let [return-image (IJ/getImage)]
	 (.hide return-image)
	 return-image)))

(defn x-polar2 
     [imageP]
     (let [thread (Thread/currentThread)
	   options ""]
       (.setName thread "Run$_polar-transform")
       (Macro/setOptions thread options)
       (IJ/runPlugIn imageP "clojureDemo.Polar_Transformer" "")))



(defn follow-object
     "takes in a video stream and does the most basic and simple forms of object detection."
     [video-seq]
)











(comment

(do (use :reload-all 'clojureDemo.MegaDeath) (in-ns 'clojureDemo.MegaDeath))
(map #(ns-unmap 'user %)(keys (ns-interns 'user)))
)
